> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.fr/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Updates the auto-save buffer

> Updates the auto-save buffer. Live objects will not be impacted.

> **Scope requirements**


## OpenAPI

````yaml specs/legacy/v2/pages-v2.json PUT /content/api/v2/pages/{page_id}/buffer
openapi: 3.0.1
info:
  title: Pages API
  description: Use the pages API to create and manage website pages in HubSpot CMS.
  version: v2
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Pages
paths:
  /content/api/v2/pages/{page_id}/buffer:
    put:
      tags:
        - Pages
      summary: Updates the auto-save buffer
      description: Updates the auto-save buffer. Live objects will not be impacted.
      operationId: updatePageBuffer
      parameters:
        - name: page_id
          in: path
          description: The unique identifier for the page
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                widgets:
                  type: object
                widget_containers:
                  type: object
      responses:
        '200':
          description: Successfully updated buffer
          content:
            application/json:
              schema:
                type: object
              examples:
                buffer_updated:
                  summary: Buffer update response
                  value:
                    id: 352531415
                    name: Contact Us
                    slug: my-api-demo-page-slug
                    html_title: The API Test Page
                    has_user_changes: true
                    updated: 1441239877000

````